<?php

class SearchController extends AdmController {

    public function actionIndex() {
        $txtsearch = Yii::app()->session['txtNavbarSearch'];
        $grids = $this->getGridData($txtsearch);

        $titlebox = ($txtsearch != '') ? ' คำว่า "' . $txtsearch . '"' : '';
        $this->render('index', array('grids' => $grids, 'titlebox' => $titlebox));
    }

    public function actionAjaxList() {
        $offset = (isset($_GET['page'])) ? $_GET['page'] : 0;

        $txtsearch = $_POST['txtsearch'];
        Yii::app()->session['txtNavbarSearch'] = $txtsearch;

        $grids = $this->getGridData($txtsearch, $offset);

        $titlebox = ($txtsearch != '') ? ' คำว่า "' . $txtsearch . '"' : '';
        $this->renderPartial('index', array('grids' => $grids, 'titlebox' => $titlebox));
    }

    public function getGridData($txtsearch = '', $offset = 0) {
        $currentDate = date('Y-m-d');

        $this->createTmpTable();
        $sql = "INSERT INTO tmpsearch (rowid, name, tabiancode, docno, docdate, person_id, status, startdate, expdate, tabiandate)
          SELECT id, name, tabiancode, docno, docdate, person_id, status, startdate, expdate, tabiandate FROM tbdoc
          WHERE (name LIKE '%$txtsearch%' or tabiancode LIKE '%$txtsearch%' or
          docno LIKE '%$txtsearch%')";
        Yii::app()->db->createCommand($sql)->execute();

        $sql = "INSERT INTO tmpsearch (rowid, name, tabiancode, docno, docdate, person_id, status, startdate, expdate, tabiandate)
          SELECT tbdoc.id, tbdoc.`name`, tbdoc.tabiancode, tbdoc.docno, tbdoc.docdate,
          tbdoc.person_id, status, startdate, expdate, tabiandate FROM tbdocfile INNER JOIN tbdoc ON tbdocfile.doc_id = tbdoc.id
          WHERE (tbdocfile.oldfilename like '%$txtsearch%')";
        Yii::app()->db->createCommand($sql)->execute();

        $models = Yii::app()->db->createCommand("select * from tmpsearch group by rowid")->queryAll();
        foreach ($models as $r) {
            $rowid = $r['rowid'];
            if (!Doc::model()->getSharePermission($r['rowid'])) {
                Yii::app()->db->createCommand("delete from tmpsearch where rowid='$rowid'")->execute();
            }
        }


        $count = Yii::app()->db->createCommand("select * from tmpsearch group by rowid")->execute();
        $pages = new CPagination($count);
        $pages->route = 'ajaxList';

        $pageLimit = Yii::app()->params['pageSize'];

        if ($offset > 0) {
            $recordStart = ($offset * $pageLimit) - $pageLimit;
        } else {
            $recordStart = 0;
        }

        $pages->pageSize = $pageLimit;

        $sql = " Select * from tmpsearch group by rowid";
        $sql.= " Order By docdate desc, name asc";
        $sql.= " limit $recordStart,$pageLimit";
        $models = Yii::app()->db->createCommand($sql)->queryAll();
        return array('models' => $models, 'pages' => $pages, 'count' => $count);
    }

    public function createTmpTable() {
        $sql = "DROP TEMPORARY TABLE IF EXISTS `tmpsearch`;
          CREATE TEMPORARY TABLE `tmpsearch` (
          `id` int(11) NOT NULL AUTO_INCREMENT,
          `rowid` int(11) DEFAULT NULL,
          `name` varchar(250) DEFAULT NULL,
          `tabiancode` varchar(50) DEFAULT NULL,
          `docno` varchar(50) DEFAULT NULL,
          `docdate` DATE NULL,
          `tabiandate` DATE NULL,
          `person_id` int(11) DEFAULT NULL,
          `status` int(11) DEFAULT 0,
          `startdate` DATE NULL,
          `expdate` DATE NULL,
          PRIMARY KEY (`id`)
          ) ENGINE=MyISAM DEFAULT CHARSET=utf8;

          SET FOREIGN_KEY_CHECKS = 1;";

        Yii::app()->db->createCommand($sql)->execute();
        return true;
    }

}
