<?php
require_once(Yii::getPathOfAlias('webroot.protected.views.doc.lang') . '/th.php');
$this->pageTitle = Yii::app()->name . ' แฟ้มเอกสาร';

$permisFile = Person::model()->getPermis(5);
?>

<?php if ($modal): ?>
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            </div>
            <div class="modal-body">
            <?php endif; ?>

            <div class="box box-primary">
                <div class="box-header with-border">
                    <div class="box-title"><?php echo $navigation; ?></div>
                    <?php if ($permisFile->ck_save == '1'): ?>
                    <div class="pull-right">
                        <a href='<?php echo Yii::app()->createUrl('/doc/index', array('cate_id' => $model->cate_id)); ?>' class='btn btn-default'><i class='fa fa-plus'></i> สร้างแฟ้มใหม่</a>
                    </div><!-- /.box-tools -->
                    <?php endif; ?>
                    <div class='clearfix'></div>
                </div><!-- /.box-header -->
            </div>

            <div class="box">
                <div class="box-header with-border">
                    <h3 class="box-title"><i class='fa fa-briefcase'></i> <?php echo $lang['Doc_name']; ?>: <?php echo $model->name; ?></h3>
                    <div class="pull-right">
                        <?php
                        if ($modal) {
                            echo CHtml::link('<i class="fa fa-expand"></i>', array("doc/detail", "id" => $model->id), array('class' => 'btn btn-default btn-xs', 'title' => 'แสดงมุมมองปกติ', 'data-toggle' => "tooltip", 'data-placement' => "left")) . '&nbsp;';
                        }
                        
                        if ($model->person_id == Yii::app()->user->id) {  //แก้ไข ลบ ได้เฉพาะเอกสารที่ตัวเองสร้างเท่านั้น
                            //if ($permisFile->ck_save == '1' || $ret) {
                            if ($permisFile->ck_save == '1') {
                                echo CHtml::link('<i class="fa fa-pencil"></i> แก้ไข', array("doc/update", "id" => $model->id), array('class' => 'btn btn-xs btn-default')) . "&nbsp;";
                            }

                            //if ($permisFile->ck_del == '1' || $ret) {
                            if ($permisFile->ck_del == '1') {
                                echo '<a href="#" onclick="return delDoc(\'' . $model->id . '\')" class="btn btn-xs btn-danger"><i class="fa fa-trash-o"></i> ลบ</a>';
                            }
                        }
                        ?>
                    </div>

                    <div class="clear-fix"></div>
                </div><!-- /.box-header -->
                <div class="box-body">
                    <table class="table table-bordered">
                        <tbody>
                            <tr>
                                <th width='140'><?php echo $lang['Doc_tabiancode']; ?></th>
                                <td width="220"><?php echo $model->tabiancode; ?></td>
                                <td width="80"><b><?php echo $lang['Doc_tabiandate']; ?></b></td>
                                <td><?php echo MyDate::dateToText($model->tabiandate); ?></td>
                            </tr>

                            <tr>
                                <th><?php echo $lang['Doc_docno']; ?></th>
                                <td> <?php echo $model->docno; ?></td>
                                <td><b><?php echo $lang['Doc_docdate']; ?></b></td>
                                <td><?php echo MyDate::dateToText($model->docdate); ?></td>
                            </tr>

                            <tr>
                                <th>สถานะ</th>
                                <td colspan="3"><?php echo Doc::model()->getStatusText($model->status); ?></td>
                            </tr>

                            <?php if ($model->status == '0'): ?>
                                <tr>
                                    <th>เริ่มเผยแพร่</th>
                                    <td colspan="3"><?php echo MyDate::dateToText($model->startdate); ?></td>
                                </tr>
                            <?php elseif ($model->status == '2'): ?>
                                <tr>
                                    <th>เริ่มเผยแพร่</th>
                                    <td colspan="3"><?php echo MyDate::dateToText($model->startdate); ?></td>
                                </tr>
                                <tr>
                                    <th>วันที่หมดอายุ</th>
                                    <td colspan="3"><?php echo MyDate::dateToText($model->expdate); ?></td>
                                </tr>
                            <?php endif; ?>


                            <tr>
                                <th>คำอธิบาย/คำค้น</th>
                                <td colspan="3"><?php echo nl2br($model->comment); ?></td>
                            </tr>
                            
                            <tr>
                                <th>ผู้บันทึก</th>
                                <td colspan="3"><?php echo $model->person['username'] ." (".$model->person['title'].$model->person['firstname']." ".$model->person['surname'].")";?></td>
                            </tr>
                        </tbody>
                    </table>
                </div><!-- /.box-body -->
            </div>

            <div class="box">
                <div class="box-header with-border">
                    <h3 class="box-title"><i class='fa fa-upload'></i> ไฟล์แนบ</h3>
                </div><!-- /.box-header -->
                <div class="box-body">
                    <div class='table-responsive'>
                        <?php
                        $criteria = new CDbCriteria;
                        $criteria->condition = "doc_id='$model->id'";
                        $criteria->order = "oldfilename";
                        $models = Docfile::model()->findAll($criteria);
                        ?>
                        <table class='table table-bordered table-hover th-bg'>
                            <thead>
                                <tr>
                                    <th>ชื่อไฟล์</th>
                                    <th>คำอธิบาย</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php
                                $irow = 0;
                                foreach ($models as $r) {
                                    $irow++;
                                    echo "<tr>";
                                    //echo "<td><a href='" . Yii::app()->createUrl('/docfile/download', array('file' => base64_encode($r->id))) . "' target='_blank'>$r->oldfilename</a></td>";
                                    echo "<td><a href='".Yii::app()->request->baseUrl . "/" . $r->path . $r->filename."' target='_blank'>$r->oldfilename</a></td>";
                                    echo "<td>$r->comment</td>";
                                    echo "</tr>";
                                }
                                if ($irow == 0) {
                                    echo "<tr><td colspan='3' class='text-center'>*** ไม่มีการแนบไฟล์ ***</td></tr>";
                                }
                                ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>

            <div class="box">
                <div class="box-header with-border">
                    <h3 class="box-title"><i class='fa fa-share-alt'></i> แผนกที่มีสิทธิ์เข้าถึง</h3>
                </div><!-- /.box-header -->
                <div class="box-body">
                    <div class='table-responsive'>
                        <?php
                        $criteria = new CDbCriteria;
                        $criteria->condition = "doc_id='$model->id'";
                        $models = DocDepart::model()->findAll($criteria);
                        ?>
                        <table class='table table-bordered table-hover th-bg'>
                            <thead>
                                <tr>
                                    <th>แผนก</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php
                                $irow = 0;
                                foreach ($models as $r) {
                                    $depart = Depart::model()->findByPk($r->depart_id);
                                    if ($depart !== NULL) {
                                        $irow++;

                                        echo "<tr>";
                                        echo "<td>$depart->name</td>";
                                        echo "</tr>";
                                    }
                                }
                                if ($irow == 0) {
                                    echo "<tr><td class='text-center'>*** ไม่มีการกำหนดแชร์ให้แผนก ***</td></tr>";
                                }
                                ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>

            <div class="box">
                <div class="box-header with-border">
                    <h3 class="box-title"><i class='fa fa-user'></i> แชร์ให้บุคคล/ไม่แชร์</h3>
                </div><!-- /.box-header -->
                <div class="box-body">
                    <div class='table-responsive'>
                        <?php
                        $criteria = new CDbCriteria;
                        $criteria->condition = "doc_id='$model->id'";
                        $models = DocPerson::model()->findAll($criteria);
                        ?>
                        <table class='table table-bordered table-hover th-bg'>
                            <thead>
                                <tr>
                                    <th>ชื่อบุคคล</th>
                                    <th width="120" class='text-center'>สิทธ์</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php
                                $irow = 0;
                                foreach ($models as $r) {
                                    $person = Person::model()->findByPk($r->person_id);
                                    if ($person !== NULL) {
                                        $irow++;
                                        $fullname = $person->title . $person->firstname . " " . $person->surname;
                                        $status = ($r['status'] == '0') ? 'เข้าถึงได้' : '<span class="text-danger">ห้ามเข้าถึง</span>';

                                        echo "<tr>";
                                        echo "<td>$fullname</td>";
                                        echo "<td class='text-center'>$status</td>";
                                        echo "</tr>";
                                    }
                                }
                                if ($irow == 0) {
                                    echo "<tr><td class='text-center'>*** ไม่มีการกำหนดแชร์ให้บุคคล***</td></tr>";
                                }
                                ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>

            <?php if ($modal): ?>
            </div>
        </div>
    </div>
<?php endif; ?>

<input type="hidden" id='openMode' value="<?php echo $modal; ?>"/>
<script type="text/javascript">
//ลบแฟ้มเอกสาร
    function delDoc(id) {
        BootstrapDialog.show({
            type: BootstrapDialog.TYPE_WARNING,
            title: 'ลบข้อมูล',
            message: 'คุณต้องการลบไฟล์นี้ใช่หรือไม่',
            buttons: [{
                    label: 'ไม่',
                    cssClass: 'btn-default',
                    action: function (dialog) {
                        dialog.close();
                    }
                }, {
                    label: 'ใช่,ลบทันที',
                    cssClass: 'btn-danger',
                    action: function (dialog) {
                        dialog.close();

                        var p = {};
                        p['id'] = id;
                        $.ajax({
                            data: p,
                            url: "<?php echo Yii::app()->createUrl('doc/ajaxDelete') ?>",
                            type: 'POST',
                            dataType: 'json',
                            success: function () {
                                if ($('#openMode').val() == '1') {
                                    //เปิดแบบ modal
                                    window.location = '<?php echo Yii::app()->createUrl('/search'); ?>';
                                } else {
                                    selectFolder('<?php echo $model->cate_id; ?>');
                                }
                            },
                            error: function () {
                                wrapDialog('Error: ไม่สามารถทำรายการได้ กรุณาลองใหม่อีกครั้ง', 'danger');
                            }
                        });
                    }
                }]
        });

        return true;
    }
</script>