<?php
$this->pageTitle = Yii::app()->name . ' กลุ่มผู้ใช้งาน';
$this->renderPartial('//layouts/hasFlash');
?>
<div class="box box-primary">
    <div class="box-header with-border">
        <div class="box-title">
            <ol class='breadcrumb no-margin-bottom'>
                <li><a href="<?php echo Yii::app()->createUrl('/group'); ?>">กลุ่มผู้ใช้งาน</a></li>
                <li><?php echo $pagetitle; ?></li>
            </ol>
        </div>
        <div class="pull-right">
            <a href='<?php echo Yii::app()->createUrl('/group/create'); ?>' class='btn btn-default'><i class='fa fa-plus'></i> สร้างใหม่</a>
        </div><!-- /.box-tools -->
        <div class='clearfix'></div>
    </div><!-- /.box-header -->
</div>

<div class='box'>
    <div class="box-body">
        <div class="alert alert-danger fade in no-margin" style="display:none" id="alert_frm"></div>
        <?php
        $form = $this->beginWidget('CActiveForm', array(
            'id' => 'myform',
            'enableClientValidation' => false,
            'enableAjaxValidation' => false,
            'htmlOptions' => array(
                'class' => 'form-horizontal',
            ),
            'action' => Yii::app()->createUrl('group/update'), //<- your form action here
        ));
        ?>
        <input type="hidden" id='id' name="id" value="<?php echo $model->id; ?>"/>

        <div class="form-group">
            <label class="col-md-2 control-label">กลุ่มผู้ใช้งาน<span class="required">*</span></label>
            <div class="col-md-6">
                <?php
                echo $form->textField($model, 'name', array('class' => 'form-control', 'required' => 'true'));
                ?>
            </div>
        </div>

        <div class="form-group">
            <label class="col-md-2 control-label">การเข้าถึงแฟ้ม</label>
            <div class="col-md-6">
                <label class="radio-inline">
                    <input type="radio" value="0" name="Group[readall]" <?php echo ($model->readall == '0') ? 'checked' : ''; ?>> ตามการแชร์
                </label>
                <label class="radio-inline">
                    <input type="radio" value="1" name="Group[readall]" <?php echo ($model->readall == '1') ? 'checked' : ''; ?>> เข้าถึงได้ทุกแฟ้ม (ยกเว้นกำหนดการแชร์บุคคลแบบห้ามเข้าถึง)
                </label>
            </div>
        </div>
        <br/>
        <?php
        $menus = Menu::model()->findAll(array('order' => 'id'));
        ?>

        <table class='table table-bordered table-striped table-hover th-bg'>
            <thead>
                <tr>
                    <th width="300">สิทธิ์การใช้รายการ</th>
                    <th width="80" class='text-center'>เปิดดู</th>
                    <th width="100" class='text-center'>บันทึก<br/>(เพิ่ม,แก้ไข)</th>
                    <th width="80" class='text-center'>ลบ</th>
                    <th></th>
                </tr>
            </thead>
            <tbody>
                <?php
                foreach ($menus as $r) {
                    $permis = GroupPermis::model()->findByAttributes(array(
                        'group_id' => $model->id,
                        'menu_id' => $r->id));

                    $chkView = "";
                    $chkSave = "";
                    $chkDel = "";
                    if ($permis !== NULL) {
                        $chkView = ($permis->ck_view == '1') ? 'checked' : '';
                        $chkSave = ($permis->ck_save == '1') ? 'checked' : '';
                        $chkDel = ($permis->ck_del == '1') ? 'checked' : '';
                    }

                    echo "<tr>";
                    echo "<td>$r->name</td>";
                    if ($r->id == '1') {    //ตู้เอกสาร ให้ดูได้ทุกคน
                        echo "<td class='text-center text-success'>ทุกคน</td>";
                    } else if ($r->id == '5') {
                        echo "<td class='text-center text-success'>ตามสิทธิ์</td>";
                    } else {
                        echo "<td class='text-center'><input type='checkbox' name='view_$r->id' $chkView/></td>";
                    }
                    echo "<td class='text-center'><input type='checkbox' name='save_$r->id' $chkSave/></td>";
                    echo "<td class='text-center'><input type='checkbox' name='del_$r->id' $chkDel/></td>";
                    echo "<td></td>";
                    echo "</tr>";
                }
                ?>
            </tbody>
        </table>
        <?php $this->endWidget(); ?>
        <div class="text-muted">***รายการแฟ้มเอกสารจะแก้ไข หรือลบได้ ก็ต่อเมื่อเป็นผู้สร้างแฟ้มนั้นเท่านั้น</div>
    </div>

    <?php $permis = Person::model()->getPermis(3); ?>
    <?php if ($permis->ck_save == '1'): ?>
        <div class="box-footer">
            <div class="text-center">
                <button type="button" class="btn btn-primary btn-lg" onclick="save();">
                    <i class="fa fa-save"></i>
                    บันทึกข้อมูล
                </button>
            </div>
        </div>
    <?php endif; ?>

</div>

<script type='text/javascript'>
    $(document).ready(function () {
        $('#myform').validate({ignore: ":hidden:not(select)",
            invalidHandler: function (event, validator) {
                loadingStaticRemove();
            }
        });
    });

    function save() {
        var p = {};
        p['save'] = true;
        p['id'] = $('#id').val();
        p['name'] = $('#Group_name').val();

        $.ajax({
            data: p,
            url: "<?php echo Yii::app()->createUrl('group/ajaxValidate') ?>",
            type: 'POST',
            dataType: 'json',
            success: function (data) {
                scrollToTop();
                if (data.msg == '0') {
                    loadingStatic();
                    $('#myform').submit();
                } else {
                    wrapDialog(data.msgText, 'danger');
                }
            },
            error: function () {
                wrapDialog('Error: ไม่สามารถบันทึกข้อมูลได้ กรุณาลองใหม่อีกครั้ง !!', 'danger');
            }
        });
        return true;
    }

</script>