<?php
$this->pageTitle = Yii::app()->name . ' ข้อมูลส่วนตัว';
$this->renderPartial('//layouts/hasFlash');
?>

<div class='box box-primary'>
    <div class="box-body">
        <div class="alert alert-danger fade in no-margin" style="display:none" id="alert_frm"></div>
        <?php
        $form = $this->beginWidget('CActiveForm', array(
            'id' => 'myform',
            'enableClientValidation' => false,
            'enableAjaxValidation' => false,
            'htmlOptions' => array(
                'class' => 'form-horizontal',
            ),
            'action' => Yii::app()->createUrl('profile/update'), //<- your form action here
        ));
        ?>
        <input type="hidden" id='id' name="id" value="<?php echo $model->id; ?>"/>

        <div class="form-group">
            <label class="col-md-2 control-label">รหัสผู้ใช้งาน</label>
            <div class="col-md-6">
                <?php
                echo $form->textField($model, 'code', array('class' => 'form-control', 'readonly' => 'true', 'tabindex'=>'-1'));
                ?>
            </div>
        </div>

        <div class="form-group">
            <label class="col-md-2 control-label">คำนำหน้า<span class="required">*</span></label>
            <div class="col-md-6">
                <?php
                echo $form->textField($model, 'title', array('class' => 'form-control', 'required' => 'true'));
                ?>
            </div>
        </div>

        <div class="form-group">
            <label class="col-md-2 control-label">ชื่อ<span class="required">*</span></label>
            <div class="col-md-6">
                <?php
                echo $form->textField($model, 'firstname', array('class' => 'form-control', 'required' => 'true'));
                ?>
            </div>
        </div>

        <div class="form-group">
            <label class="col-md-2 control-label">นามสกุล<span class="required">*</span></label>
            <div class="col-md-6">
                <?php
                echo $form->textField($model, 'surname', array('class' => 'form-control', 'required' => 'true'));
                ?>
            </div>
        </div>

        <div class="form-group">
            <label class="col-md-2 control-label">แผนก</label>
            <div class="col-md-6">
                <?php
                $depart = Depart::model()->findByPk($model->depart_id);
                if($depart!==NULL){
                    echo "<input type='text' value='$depart->name' class='form-control' readonly='true' tabindex='-1'/>";
                }else{
                    echo "<input type='text' value='' readonly='true' tabindex='-1'/>";
                }
                ?>
            </div>
        </div>

        <div class="form-group">
            <label class="col-md-2 control-label">ตำแหน่ง</label>
            <div class="col-md-6">
                <?php
                echo $form->textField($model, 'pwork', array('class' => 'form-control'));
                ?>
            </div>
        </div>

        <h4>การเข้าใช้ระบบ</h4>
        <div class="form-group">
            <label class="col-md-2 control-label">กลุ่มผู้ใช้งาน</label>
            <div class="col-md-6">
                <?php
                $group = Group::model()->findByPk($model->group_id);
                if($group!==NULL){
                    echo "<input type='text' value='$group->name' class='form-control' readonly='true' tabindex='-1'/>";
                }else{
                    echo "<input type='text' value='' readonly='true' tabindex='-1'/>";
                }
                ?>
            </div>
        </div>

        <div class="form-group">
            <label class="col-md-2 control-label">ชื่อเข้าใช้ระบบ</label>
            <div class="col-md-6">
                <?php
                echo $form->textField($model, 'username', array('class' => 'form-control', 'placeholder' => 'Username', 'readonly' => 'true', 'tabindex'=>'-1'));
                ?>
            </div>
        </div>

        <div class="form-group">
            <label class="col-md-2 control-label">รหัสผ่าน</label>
            <div class="col-md-6">
                <input type='text' name='pwd' value='' placeholder="Password" class='form-control'/>
                <p><span class='text-muted'>ว่างไว้หากไม่ต้องการเปลี่ยน</span></p>
            </div>
        </div>

        <?php $this->endWidget(); ?>
    </div>

    <?php $permis = Person::model()->getPermis(4); ?>
    <?php if ($permis->ck_save == '1'): ?>
        <div class="box-footer">
            <div class="text-center">
                <button type="button" class="btn btn-primary btn-lg" onclick="save();">
                    <i class="fa fa-save"></i>
                    บันทึกข้อมูล
                </button>
            </div>
        </div>
    <?php endif; ?>

</div>

<script type='text/javascript'>
    $(document).ready(function () {
        $('#myform').validate({ignore: ":hidden:not(select)",
            invalidHandler: function (event, validator) {
                loadingStaticRemove();
            }
        });
    });

    function save() {
        var p = {};
        p['save'] = true;
        p['id'] = $('#id').val();
        p['code'] = $('#Person_code').val();

        $.ajax({
            data: p,
            url: "<?php echo Yii::app()->createUrl('person/ajaxValidate') ?>",
            type: 'POST',
            dataType: 'json',
            success: function (data) {
                scrollToTop();
                if (data.msg == '0') {
                    loadingStatic();
                    $('#myform').submit();
                } else {
                    wrapDialog(data.msgText, 'danger');
                }
            },
            error: function () {
                wrapDialog('Error: ไม่สามารถบันทึกข้อมูลได้ กรุณาลองใหม่อีกครั้ง !!', 'danger');
            }
        });
        return true;
    }

</script>